View Issue Details

IDProjectCategoryView StatusLast Update
17114Bug reportsImport/Exportpublic2021-03-08 12:29
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.25.12 
Summary17114: Import from TSV : relevance set to "0" not imported
DescriptionWhen export a TSV from 3.X with relecance set to 0 :
When import in 4.X : relevance is set to "" (empty string)

17015 is for LS4
This is for LS3
Steps To Reproduce- Import includes txt in 3.X : check survey logic
- Import includes txt in 4.X : check survey logic
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.25.10
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 17015 closedgabrieljenik Import from TSV : relevance set to "0" not imported 

Activities

gabrieljenik

gabrieljenik

2021-02-18 22:26

manager   ~62375

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1771
gabrieljenik

gabrieljenik

2021-02-25 18:39

manager   ~62530

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31205
lime_release_bot

lime_release_bot

2021-03-08 12:29

administrator   ~62875

Fixed in Release 3.25.16+210302

Related Changesets

LimeSurvey: 3.x-LTS 1194bb53

2021-02-25 18:35:52

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17114: Import from TSV : relevance set to "0" not imported (#1771) Affected Issues
17114
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-02-18 22:23 gabrieljenik New Issue
2021-02-18 22:23 gabrieljenik Issue generated from: 17015
2021-02-18 22:23 gabrieljenik Relationship added related to 17015
2021-02-18 22:26 gabrieljenik Note Added: 62375
2021-02-23 15:38 gabrieljenik Assigned To => gabrieljenik
2021-02-23 15:38 gabrieljenik Status new => assigned
2021-02-25 18:39 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 1194bb53
2021-02-25 18:39 gabrieljenik Note Added: 62530
2021-02-25 18:39 gabrieljenik Resolution open => fixed
2021-03-05 11:57 ollehar Status assigned => resolved
2021-03-08 12:29 lime_release_bot Note Added: 62875
2021-03-08 12:29 lime_release_bot Status resolved => closed